Last updated: October 24, 2026
Create User
Create a user.
Request
POST
https://test.miniorange.in/moas/api/admin/users/createAuthentication headers (required on every request)
- Customer-Key
- Integer — your account customer key
- Timestamp
- Milliseconds since epoch (e.g. Date.now())
- Authorization
- SHA-512 of customerKey + timestamp + apiKey
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| customerKey | String | Required | Your customer key |
| username | String | Required | Unique login name, usually the email |
| password | String | Optional | Initial password |
| firstName | String | Optional | First name |
| lastName | String | Optional | Last name |
| String | Optional | Email address | |
| phone | String | Optional | Phone number |
Request body
{
"customerKey": "12345",
"username": "john@example.com",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.